POST /v1/room/content

Fetch all the room content for given propertyId(s).

application/json

Body Required

  • propertyIds array[integer(int64)] Required

    List of Momorooms ID(s) of the properties to get all the rooms and it's content

    At least 1 but not more than 5 elements.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • properties array[object]
      Hide properties attributes Show properties attributes object
      • propertyId integer(int64)

        Momorooms ID of the property for which room content is requested

      • giata integer(int64)

        GiataId of the property for which room content is requested

      • rooms array[object]
        Hide rooms attributes Show rooms attributes object
        • roomId integer(int64)

          Room Unique Identifier

        • roomCode string

          Unique Identifier Room Code; example: KNG

        • details object
          Hide details attributes Show details attributes object
          • roomName string

            Room name coined from the selected roomType and other attributes

          • roomType string

            type of room: example: Single Room or Bungalow

          • noOfBedRooms integer(int32)

            denotes no of bed rooms in certain type of rooms like appartment, villa, bungalow

          • roomAttributes object
            Hide roomAttributes attributes Show roomAttributes attributes object
            • style array[string]

              The style of the Room

            • view array[string]

              View associated with the room

            • feature array[string]

              feature available in the room

        • bedTypeInfo array[object]
          Hide bedTypeInfo attributes Show bedTypeInfo attributes object
          • noOfBeds integer(int32)

            Number of beds in the room

          • bedType string

            denotes the bedType available in the room. Example:Double

          • conjunction string

            Optional. Used only when the room supports more than one bedType. It defines how the current bedType relates to the next one. Example: If bedTypeInfo includes:

            • noOfBeds: 1, bedType: Double, conjunction: or
            • noOfBeds: 2, bedType: Single

            This should be interpreted as: "1 Double or 2 Single"

        • dormInfo object

          available only if roomType is dormitory

          Hide dormInfo attributes Show dormInfo attributes object
          • noOfBeds integer(int32)

            Number of beds in the room

          • dormCapacity integer(int32)

            Capacity of the dormitory

          • bedType string

            denotes the bedType available in the room. Example:Double

          • conjunction string

            Optional. Used only when the room supports more than one bedType. It defines how the current bedType relates to the next one. Example: If bedTypeInfo includes:

            • noOfBeds: 1, bedType: X beds in XX Bed Dorm (Female), dormCapacity: 5, conjunction: or
            • noOfBeds: 1, bedType: X beds in XX Bed Dorm (Male), dormCapacity: 5

            This should be interpreted as: "1 Bed in 5 Bed Dorm (Female) or 1 Bed in 5 Bed Dorm (Male)"

        • description string

          description of the room

        • amenities array[string]

          all the amenities supported in the rooom

        • images array[string]

          List of images url for this room.

  • 400 application/json

    Client Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        2001PropertyIds is required, Please provide a valid value
        2002Number of property requested must be within 5
        2004Number of property requested must be greater than 1
        2003None of the requested properties is not in the contracted properties

  • 500 application/json

    Server Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        500An unexpected error occurred. Please try again later.

POST /v1/room/content
curl \
 --request POST 'https://qa-partner.momorooms.com/v1/room/content' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"propertyIds":[42]}'
Request examples
{
  "propertyIds": [
    42
  ]
}
Response examples (200)
{
  "properties": [
    {
      "propertyId": 42,
      "giata": 42,
      "rooms": [
        {
          "roomId": 42,
          "roomCode": "string",
          "details": {
            "roomName": "string",
            "roomType": "string",
            "noOfBedRooms": 42,
            "roomAttributes": {
              "style": [
                "string"
              ],
              "view": [
                "string"
              ],
              "feature": [
                "string"
              ]
            }
          },
          "bedTypeInfo": [
            {
              "noOfBeds": 42,
              "bedType": "string",
              "conjunction": "string"
            }
          ],
          "dormInfo": {
            "noOfBeds": 42,
            "dormCapacity": 42,
            "bedType": "string",
            "conjunction": "string"
          },
          "description": "string",
          "amenities": [
            "string"
          ],
          "images": [
            "string"
          ]
        }
      ]
    }
  ]
}
Response examples (400)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}
Response examples (500)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}